## willow 1.11.0

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

spelling:
	$(SPHINXBUILD) -b spelling $(ALLSPHINXOPTS) $(BUILDDIR)/spelling
	@echo
	@echo "Spellcheck complete."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/Wagtail.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/Wagtail.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/Wagtail"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/Wagtail"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

## willow 0.3.1

=== debian/changelog ===
willow (0.3.1-1) unstable; urgency=low

  * Initial packaging, based on stdeb 0.8.5 output. Closes: 837471
  * add the tag format in debian/.git-dpm
  * Patch to correct Willow version
  * Add Vcs fields to debian/control

 -- Christopher Hoskin <christopher.hoskin@gmail.com>  Sun, 11 Sep 2016 21:57:18 +0100

=== debian/control ===
Source: willow
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org> 
Uploaders: Christopher Hoskin <christopher.hoskin@gmail.com>
Section: python
Priority: optional
Build-Depends: dh-python, python-setuptools (>= 0.6b3), python-all (>= 2.6.6-3), debhelper (>= 9),
 python-sphinx, python-sphinx-rtd-theme, python-sphinxcontrib.spelling,
 python-mock, python-pil, python-opencv, python-wand
Standards-Version: 3.9.8
Homepage: https://github.com/torchbox/Willow
Testsuite: autopkgtest-pkg-python
Vcs-Browser: https://anonscm.debian.org/git/python-modules/packages/willow.git
Vcs-Git: git://anonscm.debian.org/python-modules/packages/willow.git


Package: python-willow
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
Recommends: python-pil | python-wand
Suggests: python-opencv, python-willow-doc
Description: Python image library combining Pillow, Wand and OpenCV
 Willow is a simple image library that combines the APIs of Pillow, Wand and
 OpenCV. It converts the image between the libraries when necessary.
 .
 Willow currently has basic resize and crop operations, face and feature
 detection and animated GIF support. New operations and library integrations
 can also be easily implemented.

Package: python-willow-doc
Architecture: all
Section: doc
Depends: ${sphinxdoc:Depends}, ${misc:Depends}
Description: Python image library (documentation)
 Willow is a simple image library that combines the APIs of Pillow, Wand and
 OpenCV. It converts the image between the libraries when necessary.
 .
 Willow currently has basic resize and crop operations, face and feature
 detection and animated GIF support. New operations and library integrations
 can also be easily implemented.
 .
 This is the common documentation package.

=== debian/rules ===
#!/usr/bin/make -f

# This file was automatically generated by stdeb 0.8.5 at
# Sun, 11 Sep 2016 10:07:45 +0100
export PYBUILD_NAME=willow

export PYBUILD_BEFORE_TEST=cp -r {dir}/tests/images {build_dir}/tests/
export PYBUILD_AFTER_TEST=rm -rf {build_dir}/tests/images

%:
	dh $@ --with python2,sphinxdoc --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=. http_proxy='127.0.0.1:9' sphinx-build -N -bhtml docs/ build/html # HTML generator
	PYTHONPATH=. http_proxy='127.0.0.1:9' sphinx-build -N -bman docs/ build/man # Manpage generator

=== debian/watch ===
# please also check http://pypi.debian.net/Willow/watch
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
http://pypi.debian.net/Willow/Willow-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## willow 0.3.1+dfsg

=== debian/changelog ===
willow (0.3.1+dfsg-1) unstable; urgency=medium

  * Switch maintainer to my Debian identity
  * Add repack script to remove non-DFSG compliant ICC profiles from rotated
    images. 
  * Fix "Embedded ICC profiles violate DFSG" use tarball repacked by script
    (Closes: #852943)
  * Add patch to adjust orientation test tollerances

 -- Christopher Hoskin <mans0954@debian.org>  Sun, 29 Jan 2017 16:52:36 +0000

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Source: willow
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org> 
-Uploaders: Christopher Hoskin <christopher.hoskin@gmail.com>
+Uploaders: Christopher Hoskin <mans0954@debian.org>
 Section: python
 Priority: optional
 Build-Depends: dh-python, python-setuptools (>= 0.6b3), python-all (>= 2.6.6-3), debhelper (>= 9),
@@ -10,7 +10,7 @@
 Homepage: https://github.com/torchbox/Willow
 Testsuite: autopkgtest-pkg-python
 Vcs-Browser: https://anonscm.debian.org/git/python-modules/packages/willow.git
-Vcs-Git: git://anonscm.debian.org/python-modules/packages/willow.git
+Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/willow.git
 
 
 Package: python-willow

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,5 @@
 #!/usr/bin/make -f
 
-# This file was automatically generated by stdeb 0.8.5 at
-# Sun, 11 Sep 2016 10:07:45 +0100
 export PYBUILD_NAME=willow
 
 export PYBUILD_BEFORE_TEST=cp -r {dir}/tests/images {build_dir}/tests/

=== debian/tests/control ===
Test-Command: set -e ; for py in $(pyversions -r 2>/dev/null) ; do cd "$ADTTMP" ; echo "Testing with $py:" ; $py -c "import willow; print willow" ; done
Depends: python-all, python-willow

=== debian/watch ===
# please also check http://pypi.debian.net/Willow/watch
version=3
opts="filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/willow-$1\.tar\.gz/,dversionmangle=s/\+dfsg$//,repacksuffix=+dfsg" \
  https://github.com/wagtail/Willow/tags .*/v?(\d\S+)\.tar\.gz \
debian sh debian/repack.stub

## willow 0.4+dfsg

=== debian/changelog ===
willow (0.4+dfsg-1) unstable; urgency=medium

  * New upstream release (0.4) 
  * Update debian/copyright 
  * Remove unnecessary dependency versioning and fields from debian/control 

 -- Christopher Hoskin <mans0954@debian.org>  Tue, 28 Feb 2017 07:32:32 +0000

=== debian/control ===
--- 
+++ 
@@ -3,12 +3,11 @@
 Uploaders: Christopher Hoskin <mans0954@debian.org>
 Section: python
 Priority: optional
-Build-Depends: dh-python, python-setuptools (>= 0.6b3), python-all (>= 2.6.6-3), debhelper (>= 9),
+Build-Depends: dh-python, python-setuptools, python-all, debhelper (>= 9),
  python-sphinx, python-sphinx-rtd-theme, python-sphinxcontrib.spelling,
  python-mock, python-pil, python-opencv, python-wand
 Standards-Version: 3.9.8
 Homepage: https://github.com/torchbox/Willow
-Testsuite: autopkgtest-pkg-python
 Vcs-Browser: https://anonscm.debian.org/git/python-modules/packages/willow.git
 Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/willow.git

## willow 1.1

=== debian/changelog ===
willow (1.1-3) unstable; urgency=medium

  * Fix python-package-depends-on-package-from-other-python-variant
  * Bump compat level from 9 to 11
  * Bump Standards-Version from 4.1.2 to 4.1.3 (no change required)

 -- Christopher Hoskin <mans0954@debian.org>  Wed, 24 Jan 2018 22:17:10 +0000

willow (1.1-2) unstable; urgency=medium

  * Add Python 3 package
  * Update Standards-Version from 4.1.1 to 4.1.2 (no change required)

 -- Christopher Hoskin <mans0954@debian.org>  Wed, 06 Dec 2017 07:00:25 +0000

willow (1.1-1) unstable; urgency=medium

  * Remove repack script, upstream is now DFSG compliant
  * Update debian/copyright
  * New upstream release (1.0)
  * Build-Depend on python3-sphinx rather than python-sphinx
  * Get tests running (currently failing)
  * New upstream release (1.1)
  * Remove trailing whitespace from debian/control and debian/changelog
  * Increase Standards-Version from 3.9.8 to 4.1.1 (no change required)
  * Update debian/copyright

 -- Christopher Hoskin <mans0954@debian.org>  Tue, 05 Dec 2017 23:14:41 +0000

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,14 @@
 Source: willow
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org> 
+Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Christopher Hoskin <mans0954@debian.org>
 Section: python
 Priority: optional
-Build-Depends: dh-python, python-setuptools, python-all, debhelper (>= 9),
- python-sphinx, python-sphinx-rtd-theme, python-sphinxcontrib.spelling,
- python-mock, python-pil, python-opencv, python-wand
-Standards-Version: 3.9.8
+Build-Depends: dh-python, python-setuptools, python-all, debhelper (>= 11),
+ python3-setuptools, python3-all,
+ python3-sphinx, python3-sphinx-rtd-theme, python3-sphinxcontrib.spelling,
+ python-mock, python-pil, python-opencv, python-wand,
+ python3-mock, python3-pil, python3-opencv, python3-wand
+Standards-Version: 4.1.3
 Homepage: https://github.com/torchbox/Willow
 Vcs-Browser: https://anonscm.debian.org/git/python-modules/packages/willow.git
 Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/willow.git
@@ -17,13 +19,31 @@
 Depends: ${misc:Depends}, ${python:Depends}
 Recommends: python-pil | python-wand
 Suggests: python-opencv, python-willow-doc
-Description: Python image library combining Pillow, Wand and OpenCV
+Description: Python image library combining Pillow, Wand and OpenCV (Python 2)
  Willow is a simple image library that combines the APIs of Pillow, Wand and
  OpenCV. It converts the image between the libraries when necessary.
  .
  Willow currently has basic resize and crop operations, face and feature
  detection and animated GIF support. New operations and library integrations
  can also be easily implemented.
+ .
+ This is the Python 2 version of the package.
+
+
+Package: python3-willow
+Architecture: all
+Depends: ${misc:Depends}, ${python3:Depends}
+Recommends: python3-pil | python3-wand
+Suggests: python3-opencv, python-willow-doc
+Description: Python image library combining Pillow, Wand and OpenCV (Python 3)
+ Willow is a simple image library that combines the APIs of Pillow, Wand and
+ OpenCV. It converts the image between the libraries when necessary.
+ .
+ Willow currently has basic resize and crop operations, face and feature
+ detection and animated GIF support. New operations and library integrations
+ can also be easily implemented.
+ .
+ This is the Python 3 version of the package.
 
 Package: python-willow-doc
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=willow

%:
	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=. http_proxy='127.0.0.1:9' sphinx-build -N -bhtml docs/ build/html # HTML generator
	PYTHONPATH=. http_proxy='127.0.0.1:9' sphinx-build -N -bman docs/ build/man # Manpage generator

=== debian/tests/control ===
Test-Command: set -e ; for py in $(pyversions -r 2>/dev/null) ; do cd "$ADTTMP" ; echo "Testing with $py:" ; $py -c "import willow; print willow" ; done
Depends: python-all, python-willow

Test-Command: set -e ; for py in $(py3versions -r 2>/dev/null) ; do cd "$ADTTMP" ; echo "Testing with $py:" ; $py -c "import willow; print(willow)" ; done
Depends: python3-all, python3-willow

=== debian/watch ===
# please also check http://pypi.debian.net/Willow/watch
version=3
opts="filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/willow-$1\.tar\.gz/,dversionmangle=s/\+dfsg$//,repacksuffix=+dfsg" \
  https://github.com/wagtail/Willow/tags .*/v?(\d\S+)\.tar\.gz

## willow 1.4

=== debian/changelog ===
willow (1.4-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Apply multi-arch hints. + python-willow-doc: Add Multi-Arch: foreign.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Thu, 08 Dec 2022 01:17:15 +0000

willow (1.4-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * Update standards version to 4.5.1, no changes needed.

 -- Sandro Tosi <morph@debian.org>  Sat, 04 Jun 2022 22:03:27 -0400

willow (1.4-1) unstable; urgency=medium

  * Team Upload.
  * New upstream version 1.4 (Closes: #951990)
  * Run tests with runtests.py
  * Add upstream/metadata
  * standards version: 4.5.0, compat version:13
  * Add "Rules-Requires-Root:no"
  * Run wrap-and-sort

 -- Nilesh Patra <npatra974@gmail.com>  Thu, 30 Jul 2020 01:21:25 +0530

willow (1.1-4) unstable; urgency=medium

  * Team upload.
  * d/control: Set Vcs-* to salsa.debian.org
  * d/watch: Use https protocol
  * d/tests: Use AUTOPKGTEST_TMP instead of ADTTMP
  * Convert git repository from git-dpm to gbp layout
  * Use 'python3 -m sphinx' instead of sphinx-build for building docs
  * Use debhelper-compat instead of debian/compat.
  * Drop Python 2 support.
  * Fix doc-base.

 -- Ondřej Nový <onovy@debian.org>  Sun, 04 Aug 2019 19:46:42 +0200

=== debian/control ===
Source: willow
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Christopher Hoskin <mans0954@debian.org>
Section: python
Priority: optional
Testsuite: autopkgtest-pkg-python
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-all,
               python3-mock,
               python3-opencv,
               python3-pil,
               python3-setuptools,
               python3-sphinx,
               python3-sphinx-rtd-theme,
               python3-sphinxcontrib.spelling,
               python3-wand
Standards-Version: 4.5.1
Homepage: https://github.com/torchbox/Willow
Vcs-Browser: https://salsa.debian.org/python-team/packages/willow
Vcs-Git: https://salsa.debian.org/python-team/packages/willow.git
Rules-Requires-Root: no

Package: python3-willow
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Recommends: python3-pil | python3-wand
Suggests: python-willow-doc, python3-opencv
Description: Python image library combining Pillow, Wand and OpenCV (Python 3)
 Willow is a simple image library that combines the APIs of Pillow, Wand and
 OpenCV. It converts the image between the libraries when necessary.
 .
 Willow currently has basic resize and crop operations, face and feature
 detection and animated GIF support. New operations and library integrations
 can also be easily implemented.
 .
 This is the Python 3 version of the package.

Package: python-willow-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Multi-Arch: foreign
Description: Python image library (documentation)
 Willow is a simple image library that combines the APIs of Pillow, Wand and
 OpenCV. It converts the image between the libraries when necessary.
 .
 Willow currently has basic resize and crop operations, face and feature
 detection and animated GIF support. New operations and library integrations
 can also be easily implemented.
 .
 This is the common documentation package.

=== debian/watch ===
# please also check https://pypi.debian.net/Willow/watch
version=3
opts="filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/willow-$1\.tar\.gz/,dversionmangle=s/\+dfsg$//,repacksuffix=+dfsg" \
  https://github.com/wagtail/Willow/tags .*/v?(\d\S+)\.tar\.gz

## willow 1.6.2

=== debian/changelog ===
willow (1.6.2-3) unstable; urgency=medium

  * Team upload.
  * Fix flaky autopkgtest (Closes: #1055391)

 -- Stephan Lachnit <stephanlachnit@debian.org>  Sat, 25 Nov 2023 14:53:07 +0100

willow (1.6.2-2) unstable; urgency=medium

  * Team upload.
  * Fix flaky autopkgtest

 -- Stephan Lachnit <stephanlachnit@debian.org>  Thu, 26 Oct 2023 18:18:40 +0200

willow (1.6.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.6.2 (Closes: #1042117)
  * Removed doc packages due to missing dependencies

 -- Stephan Lachnit <stephanlachnit@debian.org>  Wed, 25 Oct 2023 14:22:37 +0200

=== debian/control ===
Source: willow
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Christopher Hoskin <mans0954@debian.org>
Section: python
Priority: optional
Testsuite: autopkgtest-pkg-python
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               pybuild-plugin-pyproject,
               flit,
               python3-all,
               python3-filetype,
               python3-defusedxml,
               python3-pil,
               python3-wand,
               python3-opencv,
Standards-Version: 4.6.2
Homepage: https://github.com/torchbox/Willow
Vcs-Browser: https://salsa.debian.org/python-team/packages/willow
Vcs-Git: https://salsa.debian.org/python-team/packages/willow.git
Rules-Requires-Root: no

Package: python3-willow
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Recommends: python3-pil | python3-wand
Suggests: python3-pil, python3-wand, python3-opencv
Description: Python image library combining Pillow, Wand and OpenCV (Python 3)
 Willow is a simple image library that combines the APIs of Pillow, Wand and
 OpenCV. It converts the image between the libraries when necessary.
 .
 Willow currently has basic resize and crop operations, face and feature
 detection and animated GIF support. New operations and library integrations
 can also be easily implemented.

## willow 1.11.0

=== debian/changelog ===
willow (1.11.0-0.1ubuntu1) questing; urgency=medium

  * Expect the libavif tests to fail, libavif disabled in pillow for Ubuntu.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 02 Sep 2025 09:09:28 +0200

willow (1.11.0-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream version. Closes: #1112369.

 -- Matthias Klose <doko@debian.org>  Tue, 02 Sep 2025 08:53:32 +0200

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                python3-all,
                python3-filetype,
                python3-defusedxml,
-               python3-pil,
+               python3-pil (>= 11.3.0-1ubuntu1),
                python3-wand,
                python3-opencv,
 Standards-Version: 4.6.2

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build

override_dh_auto_test:
	dh_auto_test -- --system=custom --test-args="{interpreter} runtests.py --opencv"
